package unit_tests;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * <p>A suite of all tests for all data structures.</p>
 * 
 * @author Stephen G. Ware
 */
public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite(AllTests.class.getName());
		//$JUnit-BEGIN$
		suite.addTestSuite(DListTest.class);
		Item.resetID();
		suite.addTestSuite(SListTest.class);
		Item.resetID();
		suite.addTestSuite(DHashTableTest.class);
		Item.resetID();
		suite.addTestSuite(SHashTableTest.class);
		//$JUnit-END$
		return suite;
	}
}
